Skip to content

Get public document by slug

GET
/d/{slug}

Retrieves a publicly shared document by its slug. Used for nanoid-based shareable links (e.g. /d/abc123). Returns 410 if the document has expired. No authentication required.

slug
required
string

Document slug (nanoid)

Public document response for rendering shared links

Public document response for rendering shared links

object
slug
required

URL-friendly identifier

string
title
required
Any of:
string
content
required

Full markdown content

string
username
required
Any of:
string
createdAt
required

Creation timestamp

string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$/
updatedAt
required

Last update timestamp

string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$/

Standard error response

Standard error response

object
error
required

Error code or short description

string
message

Human-readable error details

string

Standard error response

Standard error response

object
error
required

Error code or short description

string
message

Human-readable error details

string